Page MenuHomePhabricator

Adjust the field type of flaggedpages.fp_pending_since to fixed binary on wmf wikis
Closed, ResolvedPublic

Description

Apply parts of T310437 to wmf wikis

  1. ALTERs to run: https://gerrit.wikimedia.org/r/c/mediawiki/extensions/FlaggedRevs/+/804753/2/backend/schema/mysql/patch-flaggedpages-timestamp.sql
  2. Where to run those changes: https://noc.wikimedia.org/conf/highlight.php?file=dblists/flaggedrevs.dblist
  3. When to run those changes: any time
  4. If the schema change is backwards compatible: Yes
  5. If the schema change has been tested already on some of the test/beta wikis: not running on beta
  6. if the data should be made available on the labs replicas and/or dumps: no change of the existing rules

Progress:

  • s1: Done except on master
  • s2: Done
  • s3: Done
  • s4: NA
  • s5: Done
  • s6: Done
  • s7: Done
  • s8: NA
  • labstestwiki: NA

Related Objects

Mentioned In
T316110: Switchover s6 master (db1173 -> db1131)
T298555: Fix mismatching field type of logging.log_timestamp on wmf wikis
T298560: Fix mismatching field type of revision.rev_timestamp on wmf wikis
T309311: Make user_editcount unsigned in production
T301312: Switchover s1 master (db1118 -> db1163)
T60674: Drop page.page_restrictions column from Wikimedia wikis
T312863: Schema change to change primary key of templatelinks
T310011: Adjust the field type of cu_changes.cuc_timestamp to fixed binary and remove default on wmf wikis
T313253: Fix Flaggedrevs database schema drifts in production
T312989: Adjust the field type of flaggedrevs.fr_rev_timestamp/fr_timestamp to fixed binary and drop default on wmf wikis
T312988: Drop default of flaggedpage_config.fpc_expiry on wmf wikis
T312986: Adjust the field type of flaggedrevs_statistics.frs_timestamp to fixed binary on wmf wikis
T312985: Adjust the field type of flaggedpage_pending.fpp_pending_since to fixed binary on wmf wikis
rSCHCH04cf6ae8ad28: Add fix_flaggedrevs_timestamps.py
Mentioned Here
T316110: Switchover s6 master (db1173 -> db1131)
P33649 dbctl commit (dc=all): 'Depool db1173 T316110 T312984 T312863 T316186'
T60674: Drop page.page_restrictions column from Wikimedia wikis
T298555: Fix mismatching field type of logging.log_timestamp on wmf wikis
T298560: Fix mismatching field type of revision.rev_timestamp on wmf wikis
T301312: Switchover s1 master (db1118 -> db1163)
T309311: Make user_editcount unsigned in production
T310011: Adjust the field type of cu_changes.cuc_timestamp to fixed binary and remove default on wmf wikis
T312863: Schema change to change primary key of templatelinks
P31704 dbctl commit (dc=all): 'Depooling db1158 (T312984)'
P31678 dbctl commit (dc=all): 'Repooling after maintenance db1158 (T312984)'
P31675 dbctl commit (dc=all): 'Repooling after maintenance db1158 (T312984)'
P31669 dbctl commit (dc=all): 'Depooling db1158 (T312984)'
P31663 dbctl commit (dc=all): 'Repooling after maintenance db1174 (T312984)'
P31660 dbctl commit (dc=all): 'Repooling after maintenance db1174 (T312984)'
P31656 dbctl commit (dc=all): 'Depooling db1174 (T312984)'
P31655 dbctl commit (dc=all): 'Repooling after maintenance db1170:3317 (T312984)'
P31650 dbctl commit (dc=all): 'Repooling after maintenance db1170:3317 (T312984)'
P31649 dbctl commit (dc=all): 'Depooling db1170:3317 (T312984)'
P31645 dbctl commit (dc=all): 'Repooling after maintenance db1101:3317 (T312984)'
P31640 dbctl commit (dc=all): 'Repooling after maintenance db1101:3317 (T312984)'
P31639 dbctl commit (dc=all): 'Depooling db1101:3317 (T312984)'
P31638 dbctl commit (dc=all): 'Repooling after maintenance db1098:3317 (T312984)'
P31629 dbctl commit (dc=all): 'Repooling after maintenance db1098:3317 (T312984)'
P31623 dbctl commit (dc=all): 'Depooling db1098:3317 (T312984)'
P31613 dbctl commit (dc=all): 'Repooling after maintenance db1181 (T312984)'
P31607 dbctl commit (dc=all): 'Repooling after maintenance db1181 (T312984)'
P31602 dbctl commit (dc=all): 'Depooling db1181 (T312984)'
P31406 dbctl commit (dc=all): 'Repooling after maintenance db1179 (T312984)'
P31397 dbctl commit (dc=all): 'Repooling after maintenance db1179 (T312984)'
P31394 dbctl commit (dc=all): 'Depooling db1179 (T312984)'
P31362 dbctl commit (dc=all): 'Repooling after maintenance db1128 (T312984)'
P31357 dbctl commit (dc=all): 'Repooling after maintenance db1128 (T312984)'
P31356 dbctl commit (dc=all): 'Depooling db1128 (T312984)'
P31355 dbctl commit (dc=all): 'Repooling after maintenance db1184 (T312984)'
P31350 dbctl commit (dc=all): 'Repooling after maintenance db1184 (T312984)'
P31349 dbctl commit (dc=all): 'Depooling db1184 (T312984)'
P31348 dbctl commit (dc=all): 'Repooling after maintenance db1169 (T312984)'
P31340 dbctl commit (dc=all): 'Repooling after maintenance db1169 (T312984)'
P31338 dbctl commit (dc=all): 'Depooling db1169 (T312984)'
P31337 dbctl commit (dc=all): 'Repooling after maintenance db1134 (T312984)'
P31329 dbctl commit (dc=all): 'Repooling after maintenance db1134 (T312984)'
P31328 dbctl commit (dc=all): 'Depooling db1134 (T312984)'
P31327 dbctl commit (dc=all): 'Repooling after maintenance db1106 (T312984)'
P31317 dbctl commit (dc=all): 'Repooling after maintenance db1106 (T312984)'
P31316 dbctl commit (dc=all): 'Depooling db1106 (T312984)'
P31315 dbctl commit (dc=all): 'Repooling after maintenance db1105:3311 (T312984)'
P31306 dbctl commit (dc=all): 'Repooling after maintenance db1105:3311 (T312984)'
P31305 dbctl commit (dc=all): 'Depooling db1105:3311 (T312984)'
P31304 dbctl commit (dc=all): 'Repooling after maintenance db1099:3311 (T312984)'
P31293 dbctl commit (dc=all): 'Repooling after maintenance db1099:3311 (T312984)'
P31291 dbctl commit (dc=all): 'Depooling db1099:3311 (T312984)'
P31290 dbctl commit (dc=all): 'Repooling after maintenance db1119 (T312984)'
P31283 dbctl commit (dc=all): 'Repooling after maintenance db1119 (T312984)'
P31281 dbctl commit (dc=all): 'Depooling db1119 (T312984)'
P31280 dbctl commit (dc=all): 'Repooling after maintenance db1118 (T312984)'
P31273 dbctl commit (dc=all): 'Repooling after maintenance db1118 (T312984)'
P31272 dbctl commit (dc=all): 'Depooling db1118 (T312984)'
P31270 dbctl commit (dc=all): 'Repooling after maintenance db1135 (T312984)'
P31262 dbctl commit (dc=all): 'Repooling after maintenance db1135 (T312984)'
P31261 dbctl commit (dc=all): 'Depooling db1135 (T312984)'
P31256 dbctl commit (dc=all): 'Repooling after maintenance db1161 (T312984)'
P31253 dbctl commit (dc=all): 'Repooling after maintenance db1161 (T312984)'
P31252 dbctl commit (dc=all): 'Depooling db1161 (T312984)'
P31251 dbctl commit (dc=all): 'Repooling after maintenance db1144:3315 (T312984)'
P31248 dbctl commit (dc=all): 'Repooling after maintenance db1144:3315 (T312984)'
P31247 dbctl commit (dc=all): 'Depooling db1144:3315 (T312984)'
P31246 dbctl commit (dc=all): 'Repooling after maintenance db1110 (T312984)'
P31243 dbctl commit (dc=all): 'Repooling after maintenance db1110 (T312984)'
P31242 dbctl commit (dc=all): 'Depooling db1110 (T312984)'
P31241 dbctl commit (dc=all): 'Repooling after maintenance db1113:3315 (T312984)'
P31238 dbctl commit (dc=all): 'Repooling after maintenance db1113:3315 (T312984)'
P31237 dbctl commit (dc=all): 'Depooling db1113:3315 (T312984)'
P31236 dbctl commit (dc=all): 'Repooling after maintenance db1100 (T312984)'
P31233 dbctl commit (dc=all): 'Repooling after maintenance db1100 (T312984)'
P31232 dbctl commit (dc=all): 'Depooling db1100 (T312984)'
P31231 dbctl commit (dc=all): 'Repooling after maintenance db1096:3315 (T312984)'
P31228 dbctl commit (dc=all): 'Repooling after maintenance db1096:3315 (T312984)'
P31227 dbctl commit (dc=all): 'Depooling db1096:3315 (T312984)'
P31226 dbctl commit (dc=all): 'Repooling after maintenance db1101:3317 (T312984)'
P31223 dbctl commit (dc=all): 'Repooling after maintenance db1101:3317 (T312984)'
P31222 dbctl commit (dc=all): 'Depooling db1101:3317 (T312984)'
P31221 dbctl commit (dc=all): 'Repooling after maintenance db1101:3317 (T312984)'
P31218 dbctl commit (dc=all): 'Repooling after maintenance db1101:3317 (T312984)'
P31217 dbctl commit (dc=all): 'Depooling db1101:3317 (T312984)'
P31216 dbctl commit (dc=all): 'Repooling after maintenance db1127 (T312984)'
P31213 dbctl commit (dc=all): 'Repooling after maintenance db1127 (T312984)'
P31212 dbctl commit (dc=all): 'Depooling db1127 (T312984)'
P31211 dbctl commit (dc=all): 'Repooling after maintenance db1136 (T312984)'
P31208 dbctl commit (dc=all): 'Repooling after maintenance db1136 (T312984)'
P31207 dbctl commit (dc=all): 'Depooling db1136 (T312984)'
P31205 dbctl commit (dc=all): 'Repooling after maintenance db1174 (T312984)'
P31202 dbctl commit (dc=all): 'Repooling after maintenance db1174 (T312984)'
P31201 dbctl commit (dc=all): 'Depooling db1174 (T312984)'
P31200 dbctl commit (dc=all): 'Repooling after maintenance db1170:3317 (T312984)'
P31197 dbctl commit (dc=all): 'Repooling after maintenance db1170:3317 (T312984)'
P31196 dbctl commit (dc=all): 'Depooling db1170:3317 (T312984)'
P31195 dbctl commit (dc=all): 'Repooling after maintenance db1098:3317 (T312984)'
P31192 dbctl commit (dc=all): 'Repooling after maintenance db1098:3317 (T312984)'
P31191 dbctl commit (dc=all): 'Depooling db1098:3317 (T312984)'
P31190 dbctl commit (dc=all): 'Repooling after maintenance db1158 (T312984)'
P31187 dbctl commit (dc=all): 'Repooling after maintenance db1158 (T312984)'
P31186 dbctl commit (dc=all): 'Depooling db1158 (T312984)'
P31185 dbctl commit (dc=all): 'Repooling after maintenance db1129 (T312984)'
P31182 dbctl commit (dc=all): 'Repooling after maintenance db1129 (T312984)'
P31181 dbctl commit (dc=all): 'Depooling db1129 (T312984)'
P31180 dbctl commit (dc=all): 'Repooling after maintenance db1182 (T312984)'
P31177 dbctl commit (dc=all): 'Repooling after maintenance db1182 (T312984)'
P31176 dbctl commit (dc=all): 'Depooling db1182 (T312984)'
P31175 dbctl commit (dc=all): 'Repooling after maintenance db1170:3312 (T312984)'
P31172 dbctl commit (dc=all): 'Repooling after maintenance db1170:3312 (T312984)'
P31171 dbctl commit (dc=all): 'Depooling db1170:3312 (T312984)'
P31170 dbctl commit (dc=all): 'Repooling after maintenance db1122 (T312984)'
P31167 dbctl commit (dc=all): 'Repooling after maintenance db1122 (T312984)'
P31166 dbctl commit (dc=all): 'Depooling db1122 (T312984)'
P31165 dbctl commit (dc=all): 'Repooling after maintenance db1105:3312 (T312984)'
P31162 dbctl commit (dc=all): 'Repooling after maintenance db1105:3312 (T312984)'
P31161 dbctl commit (dc=all): 'Depooling db1105:3312 (T312984)'
P31160 dbctl commit (dc=all): 'Repooling after maintenance db1146:3312 (T312984)'
P31157 dbctl commit (dc=all): 'Repooling after maintenance db1146:3312 (T312984)'
P31156 dbctl commit (dc=all): 'Depooling db1146:3312 (T312984)'
P31155 dbctl commit (dc=all): 'Repooling after maintenance db1156 (T312984)'
P31151 dbctl commit (dc=all): 'Repooling after maintenance db1156 (T312984)'
P31150 dbctl commit (dc=all): 'Depooling db1156 (T312984)'
P31149 dbctl commit (dc=all): 'Repooling after maintenance db1179 (T312984)'
P31146 dbctl commit (dc=all): 'Repooling after maintenance db1179 (T312984)'
P31144 dbctl commit (dc=all): 'Depooling db1179 (T312984)'
P31143 dbctl commit (dc=all): 'Repooling after maintenance db1175 (T312984)'
P31139 dbctl commit (dc=all): 'Repooling after maintenance db1175 (T312984)'
P31138 dbctl commit (dc=all): 'Depooling db1175 (T312984)'
P31137 dbctl commit (dc=all): 'Repooling after maintenance db1112 (T312984)'
P31134 dbctl commit (dc=all): 'Repooling after maintenance db1112 (T312984)'
P31133 dbctl commit (dc=all): 'Depooling db1112 (T312984)'
P31132 dbctl commit (dc=all): 'Repooling after maintenance db1166 (T312984)'
P31129 dbctl commit (dc=all): 'Repooling after maintenance db1166 (T312984)'
P31128 dbctl commit (dc=all): 'Depooling db1166 (T312984)'
P31127 dbctl commit (dc=all): 'Repooling after maintenance db1123 (T312984)'
P31124 dbctl commit (dc=all): 'Repooling after maintenance db1123 (T312984)'
P31123 dbctl commit (dc=all): 'Depooling db1123 (T312984)'
P31112 dbctl commit (dc=all): 'Repooling after maintenance db1180 (T312984)'
P31109 dbctl commit (dc=all): 'Repooling after maintenance db1180 (T312984)'
P31108 dbctl commit (dc=all): 'Depooling db1180 (T312984)'
P31107 dbctl commit (dc=all): 'Repooling after maintenance db1168 (T312984)'
P31104 dbctl commit (dc=all): 'Repooling after maintenance db1168 (T312984)'
P31103 dbctl commit (dc=all): 'Depooling db1168 (T312984)'
P31102 dbctl commit (dc=all): 'Repooling after maintenance db1096:3316 (T312984)'
P31097 dbctl commit (dc=all): 'Repooling after maintenance db1096:3316 (T312984)'
P31096 dbctl commit (dc=all): 'Depooling db1096:3316 (T312984)'
P31095 dbctl commit (dc=all): 'Repooling after maintenance db1098:3316 (T312984)'
P31092 dbctl commit (dc=all): 'Repooling after maintenance db1098:3316 (T312984)'
P31091 dbctl commit (dc=all): 'Depooling db1098:3316 (T312984)'
P31090 dbctl commit (dc=all): 'Repooling after maintenance db1113:3316 (T312984)'
P31086 dbctl commit (dc=all): 'Repooling after maintenance db1113:3316 (T312984)'
P31079 dbctl commit (dc=all): 'Depooling db1113:3316 (T312984)'
P31078 dbctl commit (dc=all): 'Repooling after maintenance db1165 (T312984)'
P31071 dbctl commit (dc=all): 'Repooling after maintenance db1165 (T312984)'
P31069 dbctl commit (dc=all): 'Depooling db1165 (T312984)'
P31068 dbctl commit (dc=all): 'Repooling after maintenance db1131 (T312984)'
P31059 dbctl commit (dc=all): 'Repooling after maintenance db1131 (T312984)'
P31056 dbctl commit (dc=all): 'Depooling db1131 (T312984)'
T310437: Standardise type for timestamp columns in FlaggedRevs extension

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Mentioned in SAL (#wikimedia-operations) [2022-07-18T10:49:22Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Depooling db1106 (T312984)', diff saved to https://phabricator.wikimedia.org/P31316 and previous config saved to /var/cache/conftool/dbconfig/20220718-104921-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-18T10:54:12Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1106 (T312984)', diff saved to https://phabricator.wikimedia.org/P31317 and previous config saved to /var/cache/conftool/dbconfig/20220718-105411-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-18T11:39:27Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1106 (T312984)', diff saved to https://phabricator.wikimedia.org/P31327 and previous config saved to /var/cache/conftool/dbconfig/20220718-113927-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-18T11:39:48Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Depooling db1134 (T312984)', diff saved to https://phabricator.wikimedia.org/P31328 and previous config saved to /var/cache/conftool/dbconfig/20220718-113947-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-18T11:44:55Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1134 (T312984)', diff saved to https://phabricator.wikimedia.org/P31329 and previous config saved to /var/cache/conftool/dbconfig/20220718-114454-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-18T12:30:10Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1134 (T312984)', diff saved to https://phabricator.wikimedia.org/P31337 and previous config saved to /var/cache/conftool/dbconfig/20220718-123009-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-18T12:30:29Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Depooling db1169 (T312984)', diff saved to https://phabricator.wikimedia.org/P31338 and previous config saved to /var/cache/conftool/dbconfig/20220718-123029-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-18T12:34:34Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1169 (T312984)', diff saved to https://phabricator.wikimedia.org/P31340 and previous config saved to /var/cache/conftool/dbconfig/20220718-123433-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-18T13:19:49Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1169 (T312984)', diff saved to https://phabricator.wikimedia.org/P31348 and previous config saved to /var/cache/conftool/dbconfig/20220718-131949-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-18T13:20:09Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Depooling db1184 (T312984)', diff saved to https://phabricator.wikimedia.org/P31349 and previous config saved to /var/cache/conftool/dbconfig/20220718-132009-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-18T13:24:12Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1184 (T312984)', diff saved to https://phabricator.wikimedia.org/P31350 and previous config saved to /var/cache/conftool/dbconfig/20220718-132411-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-18T14:09:27Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1184 (T312984)', diff saved to https://phabricator.wikimedia.org/P31355 and previous config saved to /var/cache/conftool/dbconfig/20220718-140926-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-18T14:09:47Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Depooling db1128 (T312984)', diff saved to https://phabricator.wikimedia.org/P31356 and previous config saved to /var/cache/conftool/dbconfig/20220718-140947-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-18T14:13:55Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1128 (T312984)', diff saved to https://phabricator.wikimedia.org/P31357 and previous config saved to /var/cache/conftool/dbconfig/20220718-141354-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-18T14:59:11Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1128 (T312984)', diff saved to https://phabricator.wikimedia.org/P31362 and previous config saved to /var/cache/conftool/dbconfig/20220718-145909-ladsgroup.json

Ladsgroup moved this task from Ready to In progress on the DBA board.
Ladsgroup updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2022-07-19T10:46:00Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Depooling db1179 (T312984)', diff saved to https://phabricator.wikimedia.org/P31394 and previous config saved to /var/cache/conftool/dbconfig/20220719-104559-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-19T11:12:04Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1179 (T312984)', diff saved to https://phabricator.wikimedia.org/P31397 and previous config saved to /var/cache/conftool/dbconfig/20220719-111203-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-19T11:57:19Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1179 (T312984)', diff saved to https://phabricator.wikimedia.org/P31406 and previous config saved to /var/cache/conftool/dbconfig/20220719-115719-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-21T09:37:56Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Depooling db1181 (T312984)', diff saved to https://phabricator.wikimedia.org/P31602 and previous config saved to /var/cache/conftool/dbconfig/20220721-093755-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-21T10:13:42Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1181 (T312984)', diff saved to https://phabricator.wikimedia.org/P31607 and previous config saved to /var/cache/conftool/dbconfig/20220721-101341-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-21T10:58:57Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1181 (T312984)', diff saved to https://phabricator.wikimedia.org/P31613 and previous config saved to /var/cache/conftool/dbconfig/20220721-105856-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-21T13:10:41Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Depooling db1098:3317 (T312984)', diff saved to https://phabricator.wikimedia.org/P31623 and previous config saved to /var/cache/conftool/dbconfig/20220721-131040-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-21T13:50:09Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1098:3317 (T312984)', diff saved to https://phabricator.wikimedia.org/P31629 and previous config saved to /var/cache/conftool/dbconfig/20220721-135008-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-21T14:35:24Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1098:3317 (T312984)', diff saved to https://phabricator.wikimedia.org/P31638 and previous config saved to /var/cache/conftool/dbconfig/20220721-143524-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-21T14:35:45Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Depooling db1101:3317 (T312984)', diff saved to https://phabricator.wikimedia.org/P31639 and previous config saved to /var/cache/conftool/dbconfig/20220721-143544-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-21T15:20:08Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1101:3317 (T312984)', diff saved to https://phabricator.wikimedia.org/P31640 and previous config saved to /var/cache/conftool/dbconfig/20220721-152007-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-21T16:05:23Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1101:3317 (T312984)', diff saved to https://phabricator.wikimedia.org/P31645 and previous config saved to /var/cache/conftool/dbconfig/20220721-160522-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-21T16:38:59Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Depooling db1170:3317 (T312984)', diff saved to https://phabricator.wikimedia.org/P31649 and previous config saved to /var/cache/conftool/dbconfig/20220721-163859-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-21T17:34:58Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1170:3317 (T312984)', diff saved to https://phabricator.wikimedia.org/P31650 and previous config saved to /var/cache/conftool/dbconfig/20220721-173458-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-21T18:20:14Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1170:3317 (T312984)', diff saved to https://phabricator.wikimedia.org/P31655 and previous config saved to /var/cache/conftool/dbconfig/20220721-182013-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-21T18:20:34Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Depooling db1174 (T312984)', diff saved to https://phabricator.wikimedia.org/P31656 and previous config saved to /var/cache/conftool/dbconfig/20220721-182033-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-21T18:41:26Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1174 (T312984)', diff saved to https://phabricator.wikimedia.org/P31660 and previous config saved to /var/cache/conftool/dbconfig/20220721-184126-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-21T19:26:42Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1174 (T312984)', diff saved to https://phabricator.wikimedia.org/P31663 and previous config saved to /var/cache/conftool/dbconfig/20220721-192641-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-21T20:45:18Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Depooling db1158 (T312984)', diff saved to https://phabricator.wikimedia.org/P31669 and previous config saved to /var/cache/conftool/dbconfig/20220721-204518-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-21T21:45:33Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1158 (T312984)', diff saved to https://phabricator.wikimedia.org/P31675 and previous config saved to /var/cache/conftool/dbconfig/20220721-214532-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-21T22:30:48Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1158 (T312984)', diff saved to https://phabricator.wikimedia.org/P31678 and previous config saved to /var/cache/conftool/dbconfig/20220721-223048-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-07-22T09:37:54Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Depooling db1158 (T312984)', diff saved to https://phabricator.wikimedia.org/P31704 and previous config saved to /var/cache/conftool/dbconfig/20220722-093754-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2022-08-16T06:23:50Z] <ladsgroup@cumin1001> START - Cookbook sre.hosts.downtime for 1 day, 0:00:00 on db1163.eqiad.wmnet with reason: Maint work on old s1 master (T312984 T312863 T310011 T309311 T60674 T298560 T298555 T310485 T301312)

Mentioned in SAL (#wikimedia-operations) [2022-08-30T06:05:44Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Depool db1173 T316110 T312984 T312863 T316186', diff saved to https://phabricator.wikimedia.org/P33649 and previous config saved to /var/cache/conftool/dbconfig/20220830-060543-ladsgroup.json

Ladsgroup updated the task description. (Show Details)